Package org.eclipse.compare.internal

# Class CompareFilterDescriptor

java.lang.Object
org.eclipse.compare.internal.CompareFilterDescriptor

public class CompareFilterDescriptor extends Object
Describes compare filter extension.

## Constructor Summary

Constructors
Constructor
Description
`CompareFilterDescriptor(IConfigurationElement config)`

## Method Summary

Modifier and Type
Method
Description
`ICompareFilter`
`createCompareFilter()`
`String`
`getDefinitionId()`
`String`
`getFilterId()`
`ImageDescriptor`
`getImageDescriptor()`
`ResourceBundle`
`getResourceBundle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompareFilterDescriptor

public CompareFilterDescriptor(IConfigurationElement config)

## Method Details

### createCompareFilter

public ICompareFilter createCompareFilter()

### getFilterId

public String getFilterId()

### getDefinitionId

public String getDefinitionId()

### getResourceBundle

public ResourceBundle getResourceBundle()

### getImageDescriptor

public ImageDescriptor getImageDescriptor()